#pragma once

#include <counter_session/client.h>
#include <base/connection.h>

namespace Counter { struct Connection; }

struct Counter::Connection : Genode::Connection<Session>, Session_client
{
	/**
	 * Constructor
	 */
	Connection(Genode::Env &env)
	:
		Genode::Connection<Session>(env, session(env.parent(),
		                                         "ram_quota=8K, cap_quota=%ld",
		                                         CAP_QUOTA)),
		Session_client(cap())
	{ }
};

